Welcome

Pocket PC Creations

Welcome to Pocket PC Creations, software to easily develop and deploy powerful business applications for Pocket PCs.

Please select the topic you would like help with:

  • Designing a Project
  • Installing to a Pocket PC
  • Synchronising Sessions
  • Session Data Management
  • Wireless TCP/IP Communications

  • Pocket PC Creations Tutorial


Creating a Project

Pocket PC Creations can be used to manage a variety of information collection and publishing applications. Each specific application is managed by a Project. A project contains:

  • The Project points to be filled in the field.
  • Any Guidance material to assist the user in their work.
  • The Database of Sessions completed using the project.
  • Other miscellaneous information regarding the purpose and origin of the project.

There are two tools in the Project window for designing a project:

  • The Properties Icon
  • The Design Icon

    After a project has been designed, the next step is to install it on a mobile device.


Project Properties

Each Pocket PC Creations project has a set of properties associated with it that describe the purpose of the project and configure its behaviour.

To view or edit the properties, double click the Properties icon in the project window.

Information

The Information tab displays project details. The Title of the project will be used to identify the project on the mobile device. The other fields are informational only, and are useful if the project is to be transmitted to other persons.

Options

The Options tab allows certain project properties to be configured.

Projects can be marked Read Only, in which case project sessions cannot be modified after they have been saved. By default, a session can be reopened for additional changes. Note that Read Only sessions can still be opened for viewing.

Projects with Enable Wireless checked are able to be synchronised via a TCP/IP network, such as a wireless LAN or WAN configuration. This setting allows projects to be marked wireless-enabled, while leaving others for ActiveSync synchronisation only.

When project sessions are listed on the Pocket PC, the default columns are the date and time at which the session was created. Often it is more useful to display one or more additional fields of information from the session itself, such as a customer name or asset tag. This functionality can be achieved with the Session List Columns feature. Using the Insert Point drop list, enter one or more point ID names, separated by semicolon characters. On the Pocket PC, these points will be used as columns in the session list view.

Visual Style

The Visual Style tab allows the visual style of the project to be modified. Pocket PC Creations provides a default colour scheme and graphics set, but these can be replaced with a custom design. Custom visual styles consist of a set of colours, fonts and graphics that are used to display pages, and are stored within the project file.

When replacing the default Pocket PC Creations graphics, ensure the image (JPG or BMP) used for the page header is at least 240 pixels wide, and at least 40 pixels high so that it fills the required area on screen. The background pattern will be tiled vertically down the page, and can be any width and height. As the image is only tiled horizontally, if any space remains to the right it will be filled with the background colour.

Visual Styles are not available in the Lite Edition.

License

The Licence tab enables presentation of the licensing conditions for the project. Lock Project secures a project's design so that it can neither be seen nor amended. There are a number of cautionary steps to Lock a project, most importantly, the locked project must be saved as a separate file from the unlocked original. The author should retain the original unlocked project.

Project locking is not available in the Lite Edition.


Project Components

A project consists of one or more pages, each consisting of one or more points to collect or present data.

Every page in the project has:

  • A caption.
  • Introduction text (optional).
  • Guidance text (optional).

    By default, the page Caption is "New Page", amend as required. A page can be accessed by Previous and Next navigation on the Pocket PC, a control can be unchecked to remove page from default navigation. Page Guidance text can be viewed by tapping the top of the page, and page to return. Guidance can be formatted by a limited subset of HTML, for bold <b>, underline <u> and headings <h1>; headings reflect the Visual Style for page Title.

    Every point on a page has:

  • A Caption for identification.
  • A unique ID Name.
  • Guidance text (optional).

    By default, the Caption text will generate the point ID Name. However, these need not be the same, and the ID Name can be edited without affecting the caption.

    The Caption can be dynamically expanded by parsing from another point using <%OtherPointID%>, the Captions will then present what is entered in the other point.

    Point Guidance text can be viewed by tapping the point Caption, and page to return. Guidance can be formatted by a limited subset of HTML, for bold (b), underline (u) and headings (h1); headings reflect the Visual Style for page Title.

    Points can be marked as visible or invisible via the Visible on Page option. Sometimes it is useful to hide points from the user, for example, Math points used to calculate test scores. Similarly, points can be excluded from the database by un-checking the Include in Data option, if they are not required.

    Most points can also be designated as Required, in which case the user will be warned if the point is not filled out.

    In situations where a project will be used repeatedly, it can be convenient to bring the value of a point forward to each new session, to avoid having to re-enter it. This behaviour can be selected for each point via the Retain Session Value option. Each time a session is saved, the value of the point(s) will become the default for new sessions, until the project is closed. Note this function operates on the Pocket PC, not the Local PC.

    There are many classes or types of point which can be used in a project:

  • Boolean point
  • Selection point
  • Edit point
  • Drop List point
  • Timestamp point
  • Outlook point
  • Math point
  • Sketch point
  • Link point
  • Layout point
  • Logic point
  • File point
  • UltraDrop custom point
  • DateTime custom point
  • Custom point

    The components of a project are edited using the Design Window.


Boolean Points

The Boolean Point is a useful facility for quick recording, providing a flexible choice of data recording, either text or numeric. Boolean points prompt the user for a single tick, cross or not-applicable response.

While the default choices in the design drop down lists are Yes/No, True/False, Safe/Unsafe, 1/0/99 and either NA or N/A, amend for other outputs of up to six characters. Numbers can be used for scoring, and used as Math point targets. The 1, 0, 99 style is useful for collection of observations which may then be subject to statistical analysis.

On-screen, Boolean points appear as a caption followed by up to three possible boxes, one with a green tick and the other with a red cross, and if included, a third "0" box which represents a not-applicable state. Four states are possible: undecided, ticked, crossed or not applicable.


Selection points

Selection points allow the user to choose one or more choices from a list of many.

The Selection point has two modes: exclusive and non-exclusive, also known as "single-selection" and "multi-selection". In exclusive or single-selection mode, only one choice can be highlighted at a time. Non-exclusive or multi-selection mode allows any number of choices to be highlighted.

On-screen, Selection points appear as a caption followed by a grid of choices, arranged to efficiently fill screen space. Note that the text of a choice cannot span multiple lines on the screen.

The data from a Selection point depend on its mode:

In exclusive or single-selection mode, the data is equal to the text or numbers in the selected choice. If no choice was selected, the data result is blank.

In non-exclusive or multi-selection mode, the data will be a comma-delimited list of the selected choices. Note that there will always be a comma after each selected choice, including the last.

Another mode known as Code Based is available, which modifies this behaviour. When in code-based mode, a Selection point will display a list of text selections to the user, but associate each with an alphanumeric code. When the user selects a text option, the alphanumeric code will be recorded in results. This can be particularly useful when results are to be exported to a database, or used in a Math or Logic point. To generate code-based output, place a semicolon (;) between the code and the text visible in the Selection point. For example "150;Consulting Rate", would record 150 and make the number available for math operations.

To place a large number of options into a Selection point, use the "Import" option to read text selections from a standard text (txt) file.

Tip: Right-click a Selection point in the Design window, to choose the Convert to Drop Point option to create an equivalent Drop List point, with the same characteristics.

Choose the Save as Default Value option to save the current selections as the default for the point.


Edit Points

Edit points allow the user to write in textural information using either the stylus or keyboard.

The Edit point has two modes: free-text mode and numeric mode. In free text mode the user is able to enter any information, while numeric mode forces the user to enter a numeric value. Other optional restrictions can also be applied in numeric mode.

If desired, a range restriction can be applied to the Edit point in numeric mode. This sets a minimum and maximum acceptable value, which can be useful where the user is being requested to assess the degree of a situation on a scale of, for example, 1 to 10.

Numeric mode Edit points can display "Up/Down" or "Spin" controls, which increment or decrement the value with a simple tap or click. The Limit control enables a limit to the number of characters entered in the Edit point.

On-screen, Edit points appear as a caption followed by an entry box. The number of lines available in the entry box can be configured, allowing for larger blocks of text such as notes or descriptions. Additionally, the entry box can be displayed inline with the caption to save vertical space.

The data from an Edit point are equal to the data input by the user, or blank if no data was input.


Drop List points

Drop List points allow the user to either select from a pre-written set of responses in a drop-down menu or write in (edit) text information.

On-screen, Drop List points appear as a caption followed by an entry box. At the right of the box is an arrow button which is used to display the pre-written selections.

In design mode there are six Style options for Drop List function: Single selection; Single selection, code-based; Single selection, editable; Single selection, edit & save; Multiple selection; Multiple selection, code-based. can be configured to allow allow text, meaning the user is free to enter any text in the box, or select from the drop list. When this option is disabled, the user can only choose a pre-written response.

Where Single selection, edit & save is enabled, this causes Pocket PC Creations to save frequently used free-text entries in the Drop List, allowing them to be easily selected in future sessions on the specific Pocket PC.

Note: When the edit & save option is enabled, if a particular cached response needs to be removed, select it twice in a row, and a prompt will appear confirming the removal.

The Multiple selection drop list enables multiple selections, which choices marked with a tick. Multiple selection Drop Lists cannot be edited on the Pocket PC.

In its normal operating mode, the result from a Drop List point is equal to the data input by the user, or the text selected from the Drop List.

A second, more advanced mode known as Code-based is available, which modifies this behaviour. When in code-based mode, a Drop List point will display a list of text selections to the user, but associate each with an alphanumeric code. When the user selects a text option, the alphanumeric code will be recorded in results. This can be particularly useful when results are to be exported to a database, or used in a Math or Logic point. To generate code based output, place a semicolon (;) between the code and the text visible in the Drop List point. For example "150;Consulting Rate", would record 150 and make the number available for math operations.

If a large number of selection options are to be included in a Drop List point, use the "Import" option to read text selections from a standard text (txt) file.

Tip: Right click of a Drop List point in the Design window provides the option to Convert to Selection Point, to create an equivalent Selection point, with the same entries.

Choose the Save as Default Value option to save the current Drop List selection as the default for the point.


Timestamp Points

Timestamp points allow the user to easily record the current time (and optionally date) by simply tapping a box.

On-screen, Timestamp points appear as a caption followed by a time box. Tapping the box will record the current time and/or date. To save space, the entry box can be configured inline, where it is displayed to the right of the point's caption.

A number of date and time formats are available, including YYYY-MM-DD, DD-MM-YYYY and MM-DD-YYYY, and 24-hour time with and without seconds.

Timestamp points can also be configured to record the current time automatically as soon as they are first shown on-screen, and optionally prevent further modification of the value.

Maths

If a Timestamp point is included in a Math point's expression, the time and/or date will first be converted into a number. Where a date is included, this number will be the number of minutes since January 1st, 1979. If there is only a time, the number will be the number of minutes since midnight. If the Timestamp point includes seconds, they appear as a decimal portion of a minute (30 seconds is 0.5 minutes).

In this manner, mathematical operations can be performed on date and time values, such as subtracting the difference between two Timestamp points to determine the number of minutes taken to complete part of a project.

Note that when using date maths, it is best to use the YYYY-MM-DD date format. Dates presented in other formats may not be interpreted correctly.


Outlook Points

Outlook points can be used to integrate Pocket PC Creations projects with the Microsoft Pocket Outlook contact list. They allow contacts that have been stored in Pocket Outlook to be easily imported into Pocket PC Creations data sets.

The Outlook point displays as a drop-list, which is automatically filled with a list of contacts from Outlook. The list will be sorted by the "File As" or "Display Name" field. When a contact is selected from the list, Pocket PC Creations will automatically fill in any other points on the same page based on which contact has been selected.

When adding an Outlook point to a project page, the properties dialog provides an easy way to add points for Outlook data, such as CompanyName, Email1Address, etc.

Optionally, Allow new contacts enables an extra item to be displayed at the bottom of the contact list allowing the user to create a new Outlook contact on the fly. The [ Create New... ] option will open Pocket Outlook and present the new contact dialog box. Once saved, the details from the new contact will be inserted into the Pocket PC Creations project as before.

Advanced: Pocket PC Creations decides which points to fill in with Outlook data based on their ID name. If an Outlook point is named "Person", then any other points on the page beginning with "Person." will be filled in with data from Outlook based on the contact selected. The part of the ID name after the period (.) determines what field will be imported from Outlook, eg "Person.FirstName" would import the first name of the contact.

Outlook Points are not available in the Lite Edition.


Math Points

Math point has 27 operators and functions to allow a project to evaluate equations, drawing input from other points such as edit points or drop points.

Each Math point has a fixed expression associated with it that it will evaluate to produce a result. These expressions can include mathematical, conditional and logical operators, and functions.

Mathematical operators, in order of precedence:

  • ^ power
  • * multiply
  • / divide
  • + add
  • - subtract

    Conditional operators, in order of precedence:

  • = equals
  • != not equals
  • > greater than
  • < less than
  • >= greater than or equal to
  • <= less than or equal to

    Logical operators, in order of precedence:

  • & and
  • | or

    Functions take the form FN(x), where FN is the function name and x is an expression. Functions are:

  • abs absolute
  • sqrt square root
  • log10 log
  • ln natural log
  • exp exponential
  • sin sine
  • cosin cosine
  • tan tangent
  • arcsin arcsine
  • arctan arctang
  • deg2rad convert
  • rad2deg convert

    Values from other points on the page (or indeed any other page in the project) can be used in the expression by including the ID name of the point. Note that referenced points must contain numeric data. Points that include non-numeric data will cause a reference error. Points that are blank (ie points that have not been filled in) will be treated as numeric zeros.

    For example, an expression to add the values entered into two other points named A and B would simply be "A+B". While this is a simple case, more complex expressions can easily be constructed, involving fixed constants and brackets. For example, to take the average of three points named Alpha, Beta and Gamma: "(Alpha+Beta+Gamma)/3".

    The conditional and logical operators are slightly different to the mathematical operators, as they will always result in a boolean result: true or false. A true result is represented by a 1, while a false result is represented by a 0. A conditional operator is true if the stated condition is met. For example, the condition 5 > 3 is true, and would evaluate to 1. The condition 4 != 4 on the other hand is false, and would evaluate to 0.

    Logical combination operators are similar, except they convert both terms to Boolean, and then produce a Boolean result based on the relation between them: either an and relationship (both true), or an or relationship (one, the other, or both true).

    On-screen, Math points appear identical to Edit points, but are read-only. The value will be computed automatically. Optionally they can be displayed inline, where the result box is to the right of the caption, saving space.

    The data calculated and displayed in a Math point will be recorded in the data set like any other point, and is available for examination or use on the PC. It can also be used as an input to other Math points, Logic points or Layout points.

    Math Points are not available in the Lite Edition.


Sketch Points

The Sketch Point enables the user to draw a sketch on the Pocket PC using a stylus. Sketches can be drawn in colour using either an 8 or 4 colour pallete, or drawn in black. Sketches can also be drawn over background bitmap images imported into the Sketch point, providing a wide range of graphical recording options.

Sketch Area Size provides full screen width with options of from a single line to 8 lines in length. A single line is suitable for a signature, 8 lines provides maximum area for a drawing.

Colour Palette offers 8 and 4 colour options, and no palette for black. A colour is selected by tapping the colour before drawing with the stylus.

Clear Sketch selects whether a sketch can be cleared by the user. When this is disabled, sketch strokes cannot be removed once made. When enabled, tapping and holding on either the sketch area or the colour palette will remove the last stroke. The longer the stylus is held, the more strokes are removed, until the sketch is erased after 3 seconds. Tapping and holding a colour in the colour palette area will affect only strokes made in that colour.

Background Images can be displayed at up to 220 pixels wide, and may be either colour or grey scale. To select a background image, use the Image tab. When a background image is in use, the size of the sketch point will adjust to match the size of the image.

When the results from a project session are output, sketches are stored as bitmap (bmp) images.

For best results with Sketch images export into HTML, where the images will be presented in HTML pages along with any data collected. The bitmap images can be further managed to web formats (gif and jpg) using graphics software. Signature images can be included with Excel outputs, where they will be found close to the relevant Excel worksheet cell.


Link Points

Link points do not collect any data, but rather serve as shortcuts to another page in the project or an external URL, such as an Internet web site or document.

Links to other pages are particularly useful for producing a main contents page at the beginning of the project, or sub menu pages to simplify navigation. A contents page with Link points can be generated automatically via the Add Contents Page command on the Edit menu.

Links to Internet URLs, eg http://www.pocketpccreations.com/ will launch Pocket Explorer and open the URL, if an Internet connection is available.

Links to files on the device, eg \Documents\SalesTeam.xls will first prompt the user to confirm that they wish to open the document as a security precaution, and then open it in the corresponding application.

On-screen, links appear as underlined blue text, preceeded by a bullet point.

Automatic Links

A Link point can be designated as an automatic link, in which case it will not be visible to the user. In this case, the Link point can be controlled by a Logic point elsewhere on the page.

When the Logic point's condition is met, the automatic Link point will activate and jump to the elected page, or open the appropriate URL.

Note: Links do not require an ID name, as they do not collect any data.


Layout Points

Layout points are used to add additional text and/or images to a project. The Layout point doesn't record information but can add considerable value to the functions of a project.

Each Layout point can contain either a block of text, or an image, or both.

Text can be displayed in one of the four font types supported by the Windows CE operating system - Tahoma, Courier New, Frutiger Linotype and Bookdings - and at selected sizes, styles and colours. Two colour ranges, and customized colour are available. Large text sizes can be used for projection of presentions.

Images up to 220 pixels wide can be inserted in bitmap (bmp) format. Bitmap images are intrinsically large files, therefore preparation of the image in 256 colour format is recommended.

Advanced

The text component of a Layout point has the potential to include references to other points in the project, in much the same way that a Math or Logic point is able to reference other values. This can be useful where the value filled into a point in one part of a project needs to be displayed elsewhere, or formatted into a text message.

To include a reference to another point's value in a Layout point, simply enclose the other point's ID Name with <% %>, for example to reference the point Age, a Layout point could contain: John is <% Age %> years old.

If the value 33 were entered in the Age point, then the Layout point would read John is 33 years old.

Any number of points can be referenced from a Layout point, with or without normal text.

Layout Points are not available in the Lite Edition.


Logic Points

Logic points allow other points within a project to be hidden or displayed while the project is in operation, based on conditional logic criteria.

Each logic point is configured with an expression to evaluate, and one or more dependent points. When the expression is true, the dependent points are visible. When false, they are hidden.

Logic points can evaluate simple one-stage conditions, including equals, not equals, less than, greater than, less than or equal to, and greater than or equal to. Unlike the Math point, it will accept text string input as well as numeric input, and includes two additional operators specifically for text: contains and doesn't contain. All string operations are performed without regard to case.

Note that multiple logic points can be chained together. If one logic point "hides" another, the hidden logic point will automatically hide its dependent points, etc.

Logic points are not visible on-screen, and do not produce any data to be recorded.

Logic Points are not available in the Lite Edition.


File Point

File point, can be used to store a file within a session, to be extracted later or output to another medium.

The File point is used by tapping one of the standard Windows file control icons on the right of the point, Open or Save, and then selecting an appropriate filename. Files can be stored in, and exported from the point on both the PC and the Pocket PC.

In design mode a file type filter can be selected, such as "Image Files", "Text Files", or a custom file type filter. Options allow files to be stored in the point and to be exported from the point.

File Points are not available in the Lite Edition.


UltraDrop Custom Point

Within the UltraDrop point any number of independent Columns can be created and named, ready to accept data. Each column can be configured to output its value to another point on the page (or elsewhere in the project). If the Enforce outputs option is checked, these dependent points cannot be overridden manually.

Typically, data from columns is output to Edit and Math points.

The UltraDrop Data page is used to enter and edit the selections that will be offered to the user. Existing selection items are displayed in the list, and can be edited, deleted, and moved up or down the list. New selections can be added via the Add button.

When adding or editing a selection, a text entry field is displayed for each column that has been configured. Data can be imported from a tab-delimited text file using the Import button. Each line in the file will be treated as a single selection, with the value for each column separated by a single tab character. If more columns are present in the file than in the UltraDrop point, they will be ignored. Tab-delimited text files can be exported from programs such as Microsoft Excel and Microsoft Access.

The Options tab displays options which affect the Formatting behaviour of the UltraDrop point and it's Appearance on the project page.

Each selection in the UltraDrop point is displayed as a text string in the drop down list box. To create this text string for each selection item, the Display format string is used. The format string can combine one or more column values into a string of text, potentially adding other punctuation in the process. A similar format string is available for the Output of the point, which is recorded in the session results database, and seen by other points (such as Math points).

The format string is processed by replacing each instance of < ColumnName > with the value associated with that column.

The Advanced properties of the UltraDrop point support automatic Filtering of its selections based on the value of an external precedent point (in this example a Drop List point) and Data Sharing. When the Filtering option is enabled, only those selections whose value for the elected column matches the value of the elected point will be displayed in the UltraDrop point.

By default, if there is no value in the elected filtering point, the UltraDrop point will remain empty. This behaviour can be modified so that all selections will be displayed by default.

To use Data Sharing, simply turn it on and then select another UltraDrop point from the list (which will only show UltraDrop points). This will configure the current UltraDrop point to share data from the selected "base" point. Data cannot be edited data in the current point, as any changes need to be made to the base (copied) point.

It is important to ensure the column set up is the same in shared UltraDrop points, that is, the same number of columns (although they can have other names, and different management of the shared data).

This Data Sharing mechanism can dramatically reduce the file size of projects which have multiple instances of the same data, for example sales projects. It also reduces loading time.

UltraDrop Custom Points are not available in the Lite Edition.


DateTime Custom Point

DateTime point accesses the calendar functions on the Pocket PC, and can record current and other times. (This point function is not available on the desktop PC.)

On-screen, DateTime points appear as a caption followed by a check box and date and/or time string. Tapping the check box will record the current time and/or date; arrow controls enable alteration to date and times, either by launching a calendar or first selecting the value and using arrows to make changes.

A number of date and time formats are available, including YYYY-MM-DD, DD-MM-YYYY and MM-DD-YYYY, and 24-hour time with and without seconds.

Maths

If a DateTime point is included in a Math point's expression, the time and/or date will first be converted into a number. Where a date is included, this number will be the number of minutes since January 1st, 1979. If there is only a time, the number will be the number of minutes since midnight. If the DateTime point includes seconds, they appear as a decimal portion of a minute (30 seconds is 0.5 minutes).

In this manner, mathematical operations can be performed on date and time values. Note that when using date maths, it is best to use the YYYY-MM-DD date format. Dates presented in other formats will be interpreted subject to the regional settings of the PC or Pocket PC.

DateTime Custom Points are not available in the Lite Edition.


Custom Points

Custom Points are points provided by external sources, rather than Pocket PC Creations itself. New Custom Points can be created by any developer familiar with COM, and used to extend Pocket PC Creations' built-in functionality with custom user interface and data collection objects.

Custom Points reside in DLL files, typically located in the Pocket PC Creations folder, on both the PC and any Pocket PCs. When Pocket PC Creations starts, it checks for new custom point DLLs in its directory, and registers them with the system. If custom point DLLs are located elsewhere they must be registered manually.

All custom points share a common set of Pocket PC Creations point properties, such as ID Name and caption. In addition, each custom point can provide a specialised properties dialog for point-specific properties.

If a project is created incorporating a custom point, each PC or Pocket PC where it will be used must have the custom point installed. If the point is not installed, the project will open but the custom point will be replaced by a placeholder detailing the name of the missing custom point.

See the Pocket PC Creations web site for information about developing Custom Points.

Note: Due to the different processor architectures employed by mobile devices and PCs, a different DLL file is used to support different platforms. Thus the same DLL is not used on both the PC and Pocket PC.

Custom Points are not available in the Lite Edition.


The Design Window

The Design Window is a powerful component of Pocket PC Creations used to edit and preview in WYSIWYG the points in a project.

The design window is split into three panes. From left to right:

  • The page list.
  • The preview pane.
  • The point list.

    The Page List
    The page list pane displays an ordered list of the pages in the project. This is the order the pages will be displayed on the mobile device.

  • Select a page to preview or edit it.
  • Drag a page to re-order the list.
  • Click Add Page to add pages.
  • Click Edit Page to edit a page.

    The Preview Pane
    The preview pane displays a WYSIWYG view of the currently selected page. The preview operates similarly to on a mobile device, except that data is not stored.

    The Point List
    The point list pane displays an ordered list of the points on the selected page. Changes made to this list are reflected instantly in the preview pane.

  • Drag a point to re-order on the page.
  • Click Add Point to add points.
  • Click Edit Point to edit properties.

    Design Settings
    Several design settings are avaiable under the Edit menu to modify the behaviour of the Design window:

  • Show Point Captions - by default, the point list displays points by their ID names, but they can also be listed by type and caption.
  • Show All Referenced Points - Highlights all points which are involved in references with a purple diamond.
  • Show Selected References - Highlights points which are referenced by the selected point. Dependent points display a green diamond, while precedent points display a purple diamond.
  • Resizable Design Window - By default the Design window cannot be resized vertically, to preserve WYSIWYG. This option allows it to be adjusted.

    See Also
    Project Components


Installing to a Pocket PC

Installing on a Pocket PC

Once a project has been designed, it must be installed on one or more Pocket PCs before it can be used in the field.

The Install icon within the project window activates loading of a project onto a Pocket PC connected to a desktop computer. To do so:

  1. Connect Pocket PC to desktop or notebook PC, following instructions provided by the Pocket PC manufacturer.
  2. Verify the device has been recognised by your PC. If necessary, locate the Microsoft ActiveSync program on the start menu and follow its procedures for connecting the Pocket PC.
  3. Double click the Install icon in the project window.

If Pocket PC Creations has not been used with the Pocket PC before, an extra prompt may appear to advise the Pocket PC Creations system software must be installed on the device before the project will work. Simply answer Yes to the prompt and the software will be installed automatically.

After the system software has been installed, assign a name or Unit ID to the Pocket PC. This Unit ID is attached to any sessions created on that device, and can be used to identify where each set of data came from.

After the installation of a project is complete, it can be used on the Pocket PC.

See Also
Assigning a UnitID
Running a Project
Synchronising Sessions
Wireless Project Update


Assigning a Unit ID

To use Pocket PC Creations with a Pocket PC, a unique Unit ID must first be associated with it. This ID is stored with each session, and can be used to determine which Pocket PC a session came from.

Assigning a Unit ID from the PC

Users attempting to install a project on a Pocket PC without a Unit ID will automatically be prompted to assign one. To assign a new Unit ID manually, or change the existing ID of a unit, use the Set Unit ID... option on the Tools menu:

  1. Connect Pocket PC to desktop PC, following the instructions provided by the manufacturer.
  2. Verify that the device has been recognised by your PC. If necessary, locate the Microsoft ActiveSync program on the start menu and follow its procedures for connecting the mobile device.
  3. Select the Set Unit ID... option from the Tools menu.
  4. After Pocket PC Creations has located any existing Unit ID, users are prompted for a new ID. Enter the new Unit ID and press OK.
  5. The new Unit ID will now be stored.

After changing a Unit ID, all subsequent sessions created on that unit will be associated with the new Unit ID. Note however that sessions performed previously on that unit will still report the previous Unit ID.

Assigning a Unit ID on a Pocket PC

If Pocket PC Creations is initially installed to a Pocket PC by opening a CAB file, the first time Pocket PC Creations is run a prompt will request entry of a Unit ID.

During wireless operation, the Client Properties display Update Unit ID function enables Unit IDs to be remotely amended from the Pocket PC Creations server, which can be useful for large wireless deployments if the user of the Pocket PC changes.

See Also
Synchronising Sessions


Running a Project

Select Pocket PC Creations program icon on Start menu on the Pocket PC to open software.

Pocket PC Creations will appear on-screen, with a display of installed project icons and titles in the Project window. Tap and hold icon with stylus to view project menu options: Open, Synchronise (for wireless communication) and Delete. Normally, tap icon to select and open project. If only one project is installed, it will be immediately opened from the Start menu.

A list of Sessions created with the project will appear in the Session List window, which will be empty to begin with. Tap the New button at the bottom of the screen to commence a session.

Project pages will appear on-screen, exactly as in the Design window on the desktop PC, with navigation via Previous and Next buttons.

On completion of data entry, tap the Finish button at the bottom of the screen. The session will be saved and the view will be returned to the Session List window. Tap and hold a session to view session menu options: Open, Delete, Send Now, Mark for Send, Unmark and Save HTML.

See Also
Installing a Project
Synchronising Sessions


Synchronising Sessions

After one or more sessions have been performed on a Pocket PC, the stored sessions can be transferred back onto the Pocket PC Creations server on the desktop PC for analysis using Pocket PC Creations or other software. This process is called Synchronising.

To synchronise sessions from Pocket PC:

  1. Connect Pocket PC to desktop or notebook PC, following the instructions provided by the manufacturer.
  2. Verify the device has been recognised by desktop PC. If necessary, locate the Microsoft ActiveSync program on the start menu and follow its procedures for connecting the Pocket PC.
  3. Ensure the Pocket PC is not currently running an open session. If Pocket PC Creations is running, click back to the project menu or the session list before proceeding.
  4. Double click the Synchronise icon in the project window.

Pocket PC Creations will attempt to download any new sessions from the Pocket PC and assimalate them with the main session database within the project on the PC. For more information about accessing the sessions stored in the database, see Session Data Management.

Note: If Pocket PC Creations is running on the Pocket PC and a session is in progress, the synchronisation will not work. A message will display stating the Database is unavailable. To correct the problem, complete the session on the Pocket PC and try again.

Sessions can also be synchronised wirelessly.


Wireless Synchronisation

Wireless TCP/IP synchronisation allows project sessions stored on a Pocket PC to be transmitted to the PC server, where they will be processed or stored according to the data handling rules associated with the project.

Synchronising involves transmitting all Marked sessions within one or more projects to the PC.

To Mark a session or sessions, select and hold the session in the Pocket PC's session list screen, and select Mark to Send from the menu, a marked session will appear green. This menu can also be accessed via the command bar after selecting a session.

To send a marked session or sessions, select and hold the project in the main project screen and a menu will appear, select Synchronise to transmit to the server. This menu can also be accessed via the command bar after selecting a project. The remaining unmarked sessions will not be transmitted, and will remain on the Pocket PC. Sessions, can also be sent to server via the Submit control in the session list.

The synchronisation process will display a notification dialog, which reflects the progress of the operation as it proceeds. If a connection to the server has not yet been established (which is the case when a continuous connection has not been requested), it will be established at this point. Sessions are transmitted serially, and then the process is complete. If any errors occur, a message will appear both on the Pocket PC display, and within the Activity Monitor Window on the desktop PC server.

Within the Wireless Options dialog box on the Pocket PC there is an option for automatically synchronising each session after it is completed. When selected, Pocket PC Creations will attempt to synchronise sessions as soon as the are closed, provided the project has been configured to allow wireless synchronisation in its Properties.

Wireless Synchronisation is not available in the Lite Edition.


Save HTML for Printing

The Save HTML option in the session menu enables output of session data to a HTML template which generates HTML pages available for printing with third party software. The HTML pages can also be attached to emails.

A HTML template suitable for use with Pocket PC Creations is a standard HTML file, with one important exception: - whenever Pocket PC Creations detects a tag of the form <%pointIDname%>, it will replace the entire tag with data from the named point, where point ID Name is the name of the point, eg Customer, Company.

The Save HTML menu presents fields for location of the template file on the Pocket PC, which can be browsed to locate, and for folder to save generated HTML pages (eg \My Documents\Print, could hold both the template and HTML generated).

The default file name for the HTML output is %.date% %.time%.htm which will produce files date and time stamped. Data from specific points in the project can be used for file names using %pointIDname%, where point ID Name is the name of the point, eg Customer, Company.

The Open File control will immediately display the generated HTML file in Internet Explorer.

Sketch point images (eg signatures) will be output within HTML pages, these should be deleted from the Pocket PC periodically, so they don't use excess storage space.


Session Data Management

Once project sessions have been completed on one or more mobile devices and synchronised back onto the PC into Pocket PC Creations server, the accumulated data can be analysed within Pocket PC Creations, or optionally exported to other data manipulation applications.

A session Sort function on the Pocket PC in session view is activated by tapping the top of the columns. The width of the columns can be adjusted by dragging.

To access the database for a project, double click the Data icon in the project window. This will open the Data Window.

Results can be exported from Pocket PC Creations into other data handling applications in four ways, all accessible via the Results menu. Microsoft Excel, ADO Databases, XML and HTML are supported.

Often it is desirable to have data automatically processed as soon as they arrive from a Pocket PC, rather than processing them manually from the Data Window. To enable this, Pocket PC Creations supports a configurable Data Pathway.

See Also
The Data Window
Automated Data Pathway


The Data Window

The Data Window is used to store, view and manage project sessions. The Pocket PC Creations database appears as a grid, or spreadsheet view.

The Data Window is configurable via the Data menu. It has two orientation modes: horizontal and vertical. In horizontal mode, consecutive records appear in vertical columns progressing to the right of the window. Each piece of information collected is listed down the first column on the left.

The vertical orientation mode is similar to traditional data views. Consecutive records appear in rows progressing down the window. Each piece of information collected is listed across the first row.

By default, the Data Window displays records in ascending chronological order. This is known as "Oldest First" behaviour. "Newest first" behaviour can be selected to show the newest records first using the Data menu.

An individual session data set or groups of sessions data sets can be selected in the Data Window using either the mouse or the keyboard. To select multiple sessions, click and drag with the mouse.

Once one or more sessions or data sets have been selected, they can be opened as a session (double-click), exported to another application, sent out to a Pocket PC in the field, or deleted. To access a list of available options, right-click the data set selected with the mouse.

See Also
Exporting to Microsoft Excel
Exporting to a Database
Exporting to HTML
Sending to a Pocket PC


Sending to a Pocket PC

Pocket PC Creations can send existing project sessions from the Data Window to a Pocket PC. This is a powerful technique that allows sessions to be created on the PC, either manually via the New Session option on the Project menu, or automatically, then sent to a Pocket PC to be completed. The finished data set is then returned to the PC for processing.

To send one or more sessions to a locally connected Pocket PC (using an ActiveSync connection), select the desired sessions in the Data Window, right-click and select Send To / Locally Connected Pocket PC.

Provided there is a Pocket PC connected and the current project has been installed, the new sessions will appear in the session list on the device. New sessions that have not been opened will appear in red.

Note that sessions can be dispatched to one or more Pocket PCs wirelessly, using a wireless connection. See Wireless Dispatch.


Exporting to Microsoft Excel

If Microsoft Excel 97 or later is installed on desktop PC, data can be exported to an Excel workbook for further analysis or reporting.

To export results to Excel, follow these steps:

  1. To export a limited set of data, select in the Data Window. To export all data is an option later in the process.
  2. Choose the Export To option from the Data menu, and then choose Excel...
  3. Select a complete or selective export, and click OK.
  4. Choose a folder and filename for the Excel workbook, and optionally configure the Excel-specific options.
  5. Click OK to complete.

Pocket PC Creations will create an Excel workbook with a spreadsheet representation of the selected (or all) stored data, similar to the view in the Data Window.


Exporting to a Database

Pocket PC Creations can export data sets to a database, provided that it is accessible via an ADO driver.

To export data to a database:

  1. To export a limited set of data, select data in the Data Window. To export all data, this will be an option later in the process.
  2. Choose the Export To option from the Data menu, and then choose Database...
  3. Select a complete or selective export, and click OK.
  4. Type an ADO connection string for the database you wish to use, or alternatively, open a Microsoft Access .mdb file.
  5. Select the table and fields to populate with Pocket PC Creations data, and click OK.

Note that this process may vary slightly depending on the nature of the database exporting to. There may be prompts for additional information necessary to access and modify the database.

After the successful selection of a data source, the field mapping dialog will appear. If the data source needs to be reconfigured at any time, it can be modified via the "Database..." button.

In some databases, a list of available tables will appear in the "Table Name" selection. Select the table to store results in, or enter the name of the table manually if need be.

Once a valid table name has been entered, a list of fields in the table will appear in the right-most list under "Table Fields". To the left under "Project Fields" is a list of points in the project that can contain data. To create a mapping between a Pocket PC Creations point and a field in the table, first select the point from the left list. The previous mapping, if any, will be selected in the right list. Click on a new field in the right list to change the mapping.

Note the "Guess Mapping" button can be used to attempt to automatically create a mapping between the project and the fields in the table, by matching point names with field names. It will report which points were mapped successfully.

Exporting to a Database is not available in the Lite Edition.


Exporting to HTML

Pocket PC Creations can format data in HTML, allowing data to be displayed or printed through the use of a web browser such as Internet Explorer.

To export data to HTML, follow these steps:

  1. To export a limited set of results, select in the Data Window. To export all results will be an option later in the process.
  2. Choose the Export To option from the Data menu, and then choose HTML...
  3. Select a complete or selective export, and click OK.
  4. Choose a filename for the HTML page, and optionally configure the HTML-specific options.
  5. Click OK

Pocket PC Creations will create a HTML file with a tabular representation of the selected (or all) stored data, similar to the view in the Data Window itself.


Data Pathway

Often it is desirable to have sessions automatically processed as soon as they arrive from a Pocket PC, rather than processing them manually from the Data Window. To enable this, Pocket PC Creations supports a configurable Data Pathway.

The Data Pathway for a project configures the sequence of events that occur each time a new set of sessions arrive from a Pocket PC, either via an ActiveSync based synchronisation or via a TCP/IP connection.

View and edit the Results Pathway for a project by choosing Data Options from the Data menu. The dialog that appears allows choice of the Outgoing output targets to which new data are exported automatically, and an advanced Incoming pathway to load XML input into sessions for dispatch to Pocket PCs.

For each individual session, there are options of exporting to any combination of HTML, XML and a database via ADO. Additionally, elect to store incoming sessions in the standard Pocket PC Creations Data Window, which is the default behaviour for a project.

If sessions are to be stored in the internal Data Window, there is also the option of automatically exporting the entire accumulated results to Microsoft Excel and/or a HTML page. XML and ADO output targets are not applicable in this case.

When clicking to enable a specific output target, a new dialog will appear requesting additional information specific to that target. For more information on each output target:

  • HTML Output
  • XML Output
  • ADO Output
  • Microsoft Excel Output

It is also possible to define an automated process for receiving sessions from other applications, via the XML format:

  • XML Input

For more involved integration scenarios, Pocket PC Creations supports Data Scripting. Data Scripting allows session flow events to be handled by segments of VBScript.

Data Pathways and Data Scripting are not available in the Lite Edition.


HTML Output

Automated HTML output can be performed either for individual data sets, or for the entire data window each time new data are added. When outputting the entire data window, functionality is identical to the Export to HTML option.

To setup an HTML Output system, a target folder and filename must be selected. Although the target folder is static, the filename will be evaluated for each result passing through. It is useful therefore to include variable placeholders in the filename that will evaluate to a unique name for each data set. The available variables are:

  • %.guid% - a globally unique identifier used for tracking purposes.
  • %.time% - the time (HH-MM) the result was saved.
  • %.date% - the date (YYYY-MM-DD) the result was saved.
  • %.UnitID% - the Unit ID of the origin device.

For example:
Folder: C:\WebRecords
Filename: %.guid%.htm

Data from a session can also be referenced by including point ID names, for example %PointName%.

By default, HTML output will be formatted with a generic template, displaying data either horizontally or vertically. In many cases it is desirable to produce a more user friendly document, tailored to the specific project's application. Pocket PC Creations allows designation of a custom template with which to output HTML files.

A template suitable for use with Pocket PC Creations is a standard HTML file, which can be created either by hand, or with a suitable HTML editing package. The template will be duplicated for each individual result being processed, with one important exception:

Whenever Pocket PC Creations comes across a tag of the form <% NameOfPoint %>, it will replace the entire tag with the value of the named point (which in this case was NameOfPoint), taken from the data set being processed.

Using this method, fully formatted reports can be generated automatically by Pocket PC Creations using a custom template designed for the project.

Data Pathways and Data Scripting are not available in the Lite Edition.


XML Output

XML (Extensible Markup Language) is a simple, platform independent method of storing structured information in text-based files. Pocket PC Creations can export data in the XML format to aid integration with other XML enabled software.

To setup an XML Output system, a target folder and filename must be selected. Although the target folder is static, the filename will be evaluated for each data set passing through. It is useful therefore to include variable placeholders in the filename that will evaluate to a unique name for each data set. The available variables are:

  • %.guid% - a globally unique identifier used for tracking purposes.
  • %.time% - the time (HH-MM) the result was saved.
  • %.date% - the date (YYYY-MM-DD) the result was saved.
  • %.UnitID% - the Unit ID of the origin device.

For example:
Folder: C:\IncomingOrders
Filename: %.guid%.xml

Data from the session can also be referenced by including point ID names, for example %PointName%.

Pocket PC Creations has two XML output modes: page grouped and ungrouped. In page grouped mode, the points on each page are grouped into a tag:

<NameOfPage>
  <FirstPoint>Data</FirstPoint>
  <SecondPoint>Data</SecondPoint>
</NameOfPage>
<AnotherPage>
  <ThirdPoint>Data</ThirdPoint>
</AnotherPage>

In ungrouped mode, each point exists under the root level, and pages are ignored:

<FirstPoint>Data</FirstPoint>
<SecondPoint>Data</SecondPoint>
<ThirdPoint>Data</ThirdPoint>

In some cases it is helpful to have a schema document for all XML output generated by a particular project. A schema defines the format and acceptable content of an XML document. Pocket PC Creations has the capability to generate a schema for a project from within the configuration dialog.

Two schema formats are supported: the standard XML schema format (XSD), and a slightly different format that is used by Microsoft BizTalk Server.

Data Pathways and Data Scripting are not available in the Lite Edition.


ADO Output

Pocket PC Creations can output data to a database, provided that it is accessible via an ADO driver.

To setup an ADO output target, the following steps must be performed:

  • An ADO connection string must be provided.
  • A table within the database must be selected.
  • A mapping between points in the project and fields in the table must be established.

When the ADO output target is first enabled, a dialog will appear prompting for a database connection string. Consult the relevant database software manual if you are not familiar with this concept, or if you are using Microsoft Access, an option is provided to simply select an existing Access .mdb file.

After the successful selection of a data source, the field mapping dialog will appear. If the data source needs to be reconfigured at any time, it can be modified via the "Database..." button.

In some databases, a list of available tables will appear in the "Table Name" selection. Select the relevant table to store results in, or enter the name of the table manually if need be.

Once a valid table name has been entered, a list of fields in the table appear in the right-most list under "Table Fields". To the left under "Project Fields" is a list of points in the project that can contain data. To create a mapping between a Pocket PC Creations point and a field in the table, first select the point from the left list. The previous mapping, if any, will be selected in the right list. Click on a new field in the right list to change the mapping.

Note the "Guess Mapping" button can be used to attempt to automatically create a mapping between the project and the fields in the table, by matching point names with field names. It will report which points were mapped successfully.

Once OK is pressed, the settings and field mapping will be saved.

Data Pathways and Data Scripting are not available in the Lite Edition.


Microsoft Excel Output

Pocket PC Creations can be configured to generate and regenerate a Microsoft Excel worksheet with the entire contents of the data window whenever new data are available. Note this feature requires Microsoft Excel 97 or later to be installed.

To setup an Excel output target, select a folder and filename to save the Excel workbook. The orientation of the worksheet can be selected: either horizontal or vertical.

Note that for Pocket PC Creations to to update the Excel workbook successfully, it cannot be opened in Excel or any other application.

Data Pathways and Data Scripting are not available in the Lite Edition.


XML Session Input

A second tab in the Data Pathway dialog box, Incoming allows configuring automatic processing rules for sessions received in XML format from other applications. Using this method, Pocket PC Creations can be fully integrated into a larger solution that both provides and accepts data for use on mobile devices.

To enable the XML Session Input system, a source folder and filespec need to be specified. The source folder is where Pocket PC Creations will look for new XML documents. The filespec, which by default is *.xml, specifies the type of file to look for. When Pocket PC Creations finds a file in the source folder that matches the filespec, it will parse it.

Note: The XML Session Input options require MSXML, which can be obtained from Microsoft Corporation. If problems are experienced using these features, download and install the MSXML components.

Once incoming sessions have been parsed, they can either be stored in the internal results window for manual processing, marked as queued for subsequent dispatch, or dispatched to one or more Pocket PCs via the wireless network.

Where the wireless dispatch option must be enabled to support incoming XML, irrespective of whether there will be wireless dispatch. Three dispatch methods are available in wireless mode: dispatch to a single random available Pocket PC, dispatch to all available Pocket PCs, and dispatch to a specific Pocket PC.

Where a specific target Unit ID needs to be specified, for example where an incoming session is to be dispatched to a specific device, an extra element can be included in the XML document:

<UnitID>my_unit_id</UnitID>
...

Note that once an incoming session has been successfully processed, the source file will be removed from the file system. If an error occurs and the session cannot be processed, or cannot be dispatched to the appropriate Pocket PC, the source file will remain either until the problem is corrected, or failing that, indefinitely.

Data Pathways and Data Scripting are not available in the Lite Edition.


Wireless TCP/IP Communications

Pocket PC Creations fully supports TCP/IP based communication between Pocket PCs in the field and a PC based Pocket PC Creations server. This includes a number of wireless systems such as wireless LANs and WANs, public phone networks, and traditional fixed ethernet adaptors.

Note that to make use of these features, the Pocket PC (and possibly your desktop PC) must be equipped with a suitable network adaptor. This may take the form of a PC or CompactFlash card, and will need to be configured according to the hardware vendor's specifications.

  • Setting up for Wireless
  • The Activity Monitor Window
  • Synchronising Sessions
  • Dispatching Sessions
  • Updating Projects
  • Troubleshooting

    Wireless TCP/IP Communications are not available in the Lite Edition.


Setting Up

To configure Pocket PC Creations on the desktop PC or server for wireless communications:

  1. Select the Enable Wireless Server... option from the Tools menu.
  2. Check the "Enable Wireless Server on this PC" option.
  3. Enter a password of choice in the "Password" field.

Then, on each Pocket PC to be used (note, Pocket PC Creations must already be installed):

  1. Start Pocket PC Creations and choose the Wireless Options item from the Options menu.
  2. Check the "Enable" option.
  3. Enter the IP address of the PC in the "Server" field.
  4. Enter the same password as above in the "Password" field.
  5. To maintain a continuous connection to the server PC (recommended), check the appropriate option.

The wireless system is now ready. For each project to synchronise wirelessly:

  1. Open the project in Pocket PC Creations on the desktop or server. For security, wireless synchronisation will only be allowed with projects that are actually open on the PC.
  2. Open the Properties icon in the Project window, and select the Options tab.
  3. Check the "Enable Wireless" option.
  4. Click OK to confirm, and then save project.


Activity Monitor

Pocket PC Creations provides a Wireless Activity Monitor window that displays a real-time view and log of the wireless communications server, when it is enabled. The window can be shown or hidden via the Tools menu.

The Activity Monitor window is split into two panes: on the left, a list of the currently connected Pocket PCs is displayed. On the right is a plain text log of server events.

The list of currently connected Pocket PCs is useful for visualising the current state of the network. If the client Pocket PCs are setup to maintain a continuous connection to the server, then this list will provide a real-time view of which clients are online and in range. Small yellow indicator arrows are superimposed onto the Pocket PC icons to indicate receive and transmit status, similar to the indicator lights on a modem.

When one or more client Pocket PCs are selected in the Activity Monitor window, the right-click menu provides a number of options applying to the selected clients. In addition to being able to forcibly disconnect or view the properties of a selected unit, this menu also allows new Pocket PC Creations projects to be dispatched, via the Update Project command. Under Update Project is a list of open projects to choose from. Similarly, there is a Send New Session command which can be used to create and dispatch a new project session to the selected units.

The log of server events is also useful for examining the activity on the network, as it keeps track of all wireless operations, including connections and disconnections, project updates, session dispatches and synchronisations, as well as error messages when any of the above fail. For this reason, the Activity Monitor log is the first place to look if an operation fails unexpectedly. It will often offer a descriptive error message which can be used to diagnose and correct a problem.


Dispatching Sessions

The full potential of wireless communications is realised when project sessions are transmitted not only from Pocket PCs out in the field to the server, but also from the server to units the field. This true bidirectional exchange of information opens up many possibilities, and Pocket PC Creations ensures that implementing solutions remains a simple task.

Project sessions can be dispatched from the PC or server either from the Data Window, the local Session Window or the wireless activity monitor window.

From the Data Window, select one or more sessions from the table, then right-click and choose Wireless Pocket PCs under Send To.

From the local Session Window, simply click the Save button, and choose Wireless Pocket PCs as the target.

The activity monitor window is slightly different, as it allows new sessions to be created for specific wireless Pocket PCs up-front. Select one or more active clients from the list, right-click and choose Send New Session, and the project. A new session window will open allowing the session to be created.

After completing one of the above three procedures, the Wireless Dispatch dialog will appear. This dialog provides four methods for dispatching the selected session(s):

  • Dispatch to one, randomly selected available Pocket PC.
  • Dispatch to all available Pocket PCs.
  • Dispatch to session's corresponding Unit ID, ie the Pocket PC indicated within the session.
  • Dispatch to one or more specific Pocket PCs.

Where the fourth option is chosen, one or more Pocket PCs can be selected from the list of available units.

The third option is different, in that it will examine the UnitID value of each session, and send the session to the corresponding client, if it is available. If the client is not currently connected, the session will not be sent.

After selecting OK, the session(s) will be dispatched to the Pocket PC(s). The dialog will remain open until all Pocket PCs have acknowledged receipt of each session, although the dialogue can be closed before this occurs to cancel the operation. Check the wireless activity monitor window for a more specific log of the progress.

Sessions can also be saved to the Data Window in Save and Mark Session mode, so that the session will be queued ready for dispatch on the next occasion the client Pocket PC synchronises with the Pocket PC Creations server.

Dispatched sessions will appear in red on the Pocket PC until they are opened for the first time. In addition, the project containing newly arrived sessions will also be displayed in red and with an alert bell indicator until it has been opened.


Updating Projects

Just as projects can be installed or updated using an ActiveSync connection, they can also be installed or updated via the wireless network.

Note however that while the ActiveSync based install will install or upgrade the Pocket PC Creations software package if necessary, this cannot occur during a wireless update, as Pocket PC Creations must already be installed on the Pocket PC for it to function.

To send a project update to one or more Pocket PCs, open the Activity Monitor Window and select the desired Pocket PCs from the list of connected units on the left. Right-click, and select Update Project. If there is more than one project open in Pocket PC Creations, there may then be a choice of projects to update.

The project will be transmitted to each of the selected Pocket PCs immediately, and the progress of the operation will appear in the log area on the right of the activity monitor window. Any errors that occur during this process will also be listed.

Projects that are added or updated on the Pocket PC using this method will display an alternate icon in the project list screen of Pocket PC Creations, with a red tone and an alert bell indicator. These markings will disappear once the project has been opened.


Troubleshooting

If there is trouble using the wireless communication facilities, the following points may help to resolve the problem:

  • Check that Pocket PC Creations is running on the desktop PC, and the wireless server is enabled (available under the Tools menu).
  • Check that wireless functions are enabled on the Pocket PC (available under the Wireless Options menu on the main Pocket PC Creations screen).
  • If problems are present with a specific project, check that wireless synchronisation is enabled for this project. This can be set under Project Properties. Also check that the latest version of the project has been installed on the Pocket PC.
  • Check that the password entered into the PC and the Pocket PC is the same.
  • Check that the IP address in the "Host" field on the Pocket PC is the correct IP address for the desktop PC hosting Pocket PC Creations server.
  • Verify that the underlying connection equipment, such as wireless LAN cards or mobile phone connections, are functioning properly. This is by far the most common cause of problems.


Pocket PC Creations Tutorial

Pocket PC Creations enables users to easily design and deploy powerful business applications for Pocket PCs. Before beginning design of projects, it's recommended a Skills tutorial be undertaken.

Pocket PC Creations is supported by a comprehensive online Skills tutorial at:

http://www.pocketpccreations.com/skills.htm

The project referenced in the skills tutorial is available in the "Examples" folder, named "Breathalyser".

The short tutorial contained within this Help file will assist in using Pocket PC Creations by guiding users through the creation and use of an example project, in 6 easy steps.

Begin >


#1: The Basics

Pocket PC Creations is a tool for managing projects, from designing the project to conducting sessions in the field to accumulating and analysing the data.

In this tutorial we will accomplish five things:

  1. Creating a simple one page project.
  2. Installing the project on a Pocket PC.
  3. Conducting a test session using the project.
  4. Synchronising the data.
  5. Viewing the data on the desktop PC.


#2: Creating the Project

To create a Project, select New... from the File menu. Pocket PC Creations asks for a filename for the new project.

Following this, the Project Properties window appears. Fill in the appropriate fields. The project properties are informational only, with the exception of the title, which will be used to identify this project to the user.

Next, double click the Design icon. The Design Window will appear. Your project will be empty to begin with.

Click the Add Page button. A dialog box will appear prompting for details. Fill in a title for the new page - "Test Page".

A preview of the page will appear, however it too will be empty. Click the Add Point button. A list of point classes will appear - select the Edit point option and press OK. When the properties dialog appears, fill in the following:

  • Caption: "Number of employees:"
  • ID Name: "NumEmployees"

    Now, repeat the process by adding another point. This time however, add a Boolean Point. Enter the following information:

  • Caption: "Safe working conditions?"
  • ID Name: "SafeConditions"


#3: Installing the Project

Now that we have finished designing the project, it must be installed on Pocket PC, before it can be used.

  1. Connect your Pocket PC to your desktop PC, following the instructions provided by the manufacturer.
  2. Verify that the device has been recognised by your desktop PC. If necessary, locate the Microsoft ActiveSync program on the start menu and follow its procedures for connecting the Pocket PC.
  3. Double click the Install icon in the project window.

Pocket PC Creations will attempt to install your project on the Pocket PC.

If you have any problems at this point, it is likely that there is a problem with the communications between your desktop PC and your Pocket PC. Troubleshooting help is available in Microsoft ActiveSync.


#4: Using the Project

Now that the project has been installed on the Pocket PC, it can be used in the field. In this step we will create a test session using the project on the Pocket PC.

First, select the Pocket PC Creations program icon on your Start menu on the Pocket PC.

Pocket PC Creations will appear on-screen, with a list of installed projects. Your project should be listed. Tap it with the stylus to select it.

A list of Sessions created with your project will appear, which will most likely be empty. Tap the New button at the bottom of the screen to commence a session.

The single page of your project will appear on-screen, exactly as it did in the design window on the desktop PC. Tap the "Number of employees" box, which will display the Windows CE input panel so that you can enter a number.

Following this, tap the tick or cross next to "Safe working conditions", and then the Finish button at the bottom of the screen. The session will be saved and you will be returned to the session list, which should now include a single session.

This completes the portion of the tutorial performed on the Pocket PC.


#5: Synchronising with the PC

Having completed the test session on the Pocket PC, the data collected can now be synchronised with the desktop PC for storage and analysis.

  1. Connect your Pocket PC to your desktop PC, following the instructions provided by the manufacturer.
  2. Verify that the device has been recognised by your PC. If necessary, locate the Microsoft ActiveSync program on the start menu and follow its procedures for connecting the Pocket PC.
  3. Double click the Synchronise icon in the project window.

If you receive an error while synchronising, check that Pocket PC Creations on the Pocket PC is not currently performing a session. If it is, click Finish to complete the session and return to the session list, and then try again.


#6: Viewing the Results

#5: Viewing the Data

Having synchronised the desktop PC with sessions from the Pocket PC, the test session we performed will now be stored on the desktop PC.

Double click the Data icon in the project window to open the Data Window.

The Data Window displays the data accumulated chronologically. You can modify the way it displays this data using options on the Data menu, select a session and left mouse click to see the Data menu. The newest or oldest first setting has little meaning in this sample, as there is only one session to view.

View the data in both vertical and horizontal modes (orientation can be changed via the Data menu).

The data viewed can be exported to other data handling, storage or analysis applications using the tools on the Data menu. These functions are beyond the scope of this tutorial, but more information can be found elsewhere in Help.


Congratulations

You have completed the tutorial, and have hopefully succeeded in creating and using a very simple project.

Pocket PC Creations has many features in addition to the ones used in the tutorial, all of which are documented in this Help package, and in the online Skills tutorial.

Good luck with your design of projects!

< Previous


On the Web

Visit the Pocket PC Creations web site at:

www.pocketpccreations.com

The CreativityCorp web site is at:

www.creativitycorp.com